package de.ipk_gatersleben.ag_nw.centilib.centralities;

import edu.uci.ics.jung.graph.Graph;

public class Degree<V, E> extends VertexCentrality<V,E> {
	
	public Degree(Graph<V,E> graph){
		super("Degree",graph);
		for(V v : graph.getVertices())
			output.put(v, Double.valueOf(Integer.toString(graph.degree(v))));
	}
	
	@Override
	public Double getVertexScore(V v) {
		return output.get(v);
		
	}

}
