package de.ipk_gatersleben.ag_nw.centilib.gui.actions;

import javax.swing.AbstractAction;
import javax.swing.Icon;

import de.ipk_gatersleben.ag_nw.centilib.CentiLib;

/**
 * Top level action for all centibin related actions.
 *
 * @author Johannes Graessler 
 * @author Dirk Koschuetzki
 */
public abstract class CentiLibAction<V,E> extends AbstractAction {

    private CentiLib<V,E> centilib;

    public CentiLibAction(CentiLib<V,E> centilib, String name) {
        this(centilib, name, null);
    }

    public CentiLibAction(CentiLib<V,E> centilib, String name, Icon icon) {
        super(name, icon);

        this.centilib = centilib;
    }

    protected CentiLib<V,E> getCentiLib() {
        return centilib;
    }
    
/*    protected void checkLicense() {
        LicenseManager.checkLicense(getCentilib());
    }
*/
}
