package de.ipk_gatersleben.ag_nw.centilib.gui.actions.centralities;

import de.ipk_gatersleben.ag_nw.centilib.CentiLib;
import de.ipk_gatersleben.ag_nw.centilib.centralities.Degree;
import de.ipk_gatersleben.ag_nw.centilib.gui.actions.CentralityAction;
import de.ipk_gatersleben.ag_nw.centilib.utils.CentralityHandler;
import edu.uci.ics.jung.graph.Graph;

@SuppressWarnings("serial")
public class DegreeCentralityAction<V, E> extends CentralityAction<V, E> {

		public DegreeCentralityAction(CentiLib<V,E> centibin) {
		super(centibin, "*** Degree");
		scorerName = CentralityHandler.DEGREE;
	}

	@Override
	public boolean isPossible() {
		return true;
	}

	public static <V,E> Degree<V,E> calculateDegree(Graph<V,E> graph){
		Degree<V,E> iod = new Degree<V,E>(graph);
		return iod;
	}
}
