package de.ipk_gatersleben.ag_nw.centilib.gui;

import java.awt.GridLayout;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JProgressBar;

/**
 * @author Johannes Graessler
 */
public class ProgressPanel extends JPanel {

    protected JProgressBar pg;

    protected JLabel operationLabel;

    public ProgressPanel() {
        super();

        operationLabel = new JLabel();
        operationLabel.setHorizontalAlignment(JLabel.LEFT);
        operationLabel.setVerticalAlignment(JLabel.CENTER);
        operationLabel.setName("OperationLabel");
        // operationLabel.setPreferredSize(new Dimension(200, 100));

        pg = new JProgressBar();
        pg.setIndeterminate(false);
        pg.setStringPainted(true);
        pg.setString("");
        pg.setBorderPainted(false);
        
        setLayout(new GridLayout(1, 1));
        //add(operationLabel);
        add(pg);
        
        setBorder(BorderFactory.createEtchedBorder());
    }

    public void setOperationString(String s) {
        operationLabel.setText(s);
    }

    public void setProgressString(String s) {
        pg.setString(s);
    }

    public void startProgressBar() {
        pg.setIndeterminate(true);
    }

    public void stopProgressBar() {
        pg.setIndeterminate(false);
//        setOperationString("");
//        setProgressString("");
    }
}
