package de.ipk_gatersleben.ag_nw.centilib.plugin;

import java.util.Collection;
import java.util.Set;

import de.ipk_gatersleben.ag_nw.centilib.gui.actions.ConnectedComponents;
import edu.uci.ics.jung.graph.Graph;


public interface ApplicationInterface<V,E> {


	public Set<DoubleAttribute<E> > getNumericEdgeAttributes(Graph<V,E> graph);
	
	public void addAttributes(Collection<Graph<V,E> > graphs, Collection<String> cents);
	
	public void addAttributes(Graph<V,E> graph, Collection<String> cents);
	
	public void createGraphsFromComps(ConnectedComponents<V,E> comps);
	
	public void selectNodes(Set<V> nodes);
	
	public void selectGraph(Graph<V,E> graph);

	void updateGraphList();
}
