package de.ipk_gatersleben.ag_nw.centilib.utils;

import java.util.LinkedList;
import java.util.Map;

import edu.uci.ics.jung.graph.Graph;

public class BrandesSPData<V,E> {

	private LinkedList<V> stack;
	
	private Graph<V,E> graph;
	
	private Map<V, BrandesVertexData<E> > vertexData;

	public LinkedList<V> getStack() {
		return stack;
	}

	public Graph<V, E> getGraph() {
		return graph;
	}

	public Map<V, BrandesVertexData<E>> getVertexData() {
		return vertexData;
	}

	public void setStack(LinkedList<V> stack) {
		this.stack = stack;
	}

	public void setGraph(Graph<V, E> graph) {
		this.graph = graph;
	}

	public void setVertexData(Map<V, BrandesVertexData<E>> vertexData) {
		this.vertexData = vertexData;
	}
	
	
}
