package de.ipk_gatersleben.ag_nw.centilib.utils;

import java.util.ArrayList;
import java.util.List;

public class BrandesVertexData<E> {

	public double distance;
	public double numSPs;

	public List<E> incomingEdges;
	
	public BrandesVertexData() {
	
		distance = -1;
		numSPs = 0;
		incomingEdges = new ArrayList<E>();
    }
    
    @Override
    public String toString()
    {
    	return "[d:" + distance + ", sp:" + numSPs + 
    		", p:" + incomingEdges + "]\n";
    }	

}
